Subject: [PATCHv3 0/7] arm64: Use contiguous PTE bit for the kernel linear mapping

From: [email-masked] (Jeremy Linton)
Date: Wed, 18 Nov 2015 08:10:28 -0600

On 11/18/2015 05:01 AM, Will Deacon wrote:
> On Tue, Nov 17, 2015 at 09:37:24AM -0600, Jeremy Linton wrote:
>> Hello,
>
> Hi Jeremy,
>
>> 	Just a heads up, but this patch is causing a boot problem on a m400. I
>> should know more soon.
>
> Any chance you could share a reproducer/panic log/debug info, please?
> If we can't fix this soon, then we'll have to look at reverting the change,
> so getting a few more eyes on the problem might help.

	Its usually just hangs although, once in a while it will generate an 
unknown exception. I posted a patch last night which fixes it with a big 
hammer (extra tlb flush), but It doesn't appear to have made the mailing 
list (I regularly get relay rejected messages). I will attempt to 
re-post it again.